> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettonMetricsList

> Get the list of jetton prices, total holders, liquidity, fdmc and etc...

💼 Available in paid plans only



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/metrics
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/metrics:
    get:
      tags:
        - JettonsService
      summary: getJettonMetricsList
      description: |-
        Get the list of jetton prices, total holders, liquidity, fdmc and etc...

        💼 Available in paid plans only
      operationId: JettonsService_GetMetricsList
      parameters:
        - name: limit
          in: query
          description: |-
            Default value: 20

            Max value: 100
          schema:
            type: integer
            format: int64
        - name: cursor
          in: query
          description: |-
            Cursor to paginate list

            Should be set by value from response field `next`
          schema:
            type: string
        - name: excludeScam
          in: query
          description: |-
            Flag to exclude scam jettons

            Jettons marked as scam will be excluded, if it's set to `true`
          schema:
            type: boolean
        - name: search
          in: query
          description: |-
            Search by phrase

            Search by phrase in jetton name or symbol
            Length should be in range [3:255]
          schema:
            type: string
        - name: address
          in: query
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
            Max count: 100
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: admin
          in: query
          description: |-
            Wallet address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
            Max count: 10
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: verification
          in: query
          description: |-
            Status of jetton verification

            Max count: 5
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - JVS_NONE
                - JVS_APPROVED
                - JVS_COMMUNITY_VERIFIED
                - JVS_VERIFIED
                - JVS_SCAM
        - name: sort
          in: query
          description: |-
            Sort field

            Default is `createdAt`
          schema:
            type: string
            default: createdAt
            enum:
              - createdAt
              - fdmc
              - tvl
              - liquidityUsd
              - trustScore
              - volume24h
              - holders
              - traders24h
              - transactions24h
              - tonPriceChangeHour
              - tonPriceChangeHour6
              - tonPriceChangeDay
              - tonPriceChangeWeek
              - tonPriceChangeMonth
        - name: order
          in: query
          description: |-
            Order of sort

            Default is `asc`
          schema:
            type: string
            default: asc
            enum:
              - asc
              - desc
        - name: priceChange.ton.hour.min
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.hour.max
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.hour6.min
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.hour6.max
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.day.min
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.day.max
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.week.min
          in: query
          schema:
            type: number
            format: double
        - name: priceChange.ton.week.max
          in: query
          schema:
            type: number
            format: double
        - name: liquidity.usd.min.value
          in: query
          schema:
            type: string
        - name: liquidity.usd.min.decimals
          in: query
          description: |-
            Decimals

            Value in range [0, 255]. By default is `0`
          schema:
            type: integer
            format: int64
        - name: liquidity.usd.max.value
          in: query
          schema:
            type: string
        - name: liquidity.usd.max.decimals
          in: query
          description: |-
            Decimals

            Value in range [0, 255]. By default is `0`
          schema:
            type: integer
            format: int64
        - name: fdmc.min.value
          in: query
          schema:
            type: string
        - name: fdmc.min.decimals
          in: query
          description: |-
            Decimals

            Value in range [0, 255]. By default is `0`
          schema:
            type: integer
            format: int64
        - name: fdmc.max.value
          in: query
          schema:
            type: string
        - name: fdmc.max.decimals
          in: query
          description: |-
            Decimals

            Value in range [0, 255]. By default is `0`
          schema:
            type: integer
            format: int64
        - name: trustScore.min
          in: query
          schema:
            type: string
            format: int64
        - name: trustScore.max
          in: query
          schema:
            type: string
            format: int64
        - name: holders.min
          in: query
          schema:
            type: string
            format: int64
        - name: holders.max
          in: query
          schema:
            type: string
            format: int64
        - name: currency
          in: query
          schema:
            type: string
            default: ton
            enum:
              - ton
              - usd
              - eur
              - gbp
              - jpy
              - byn
              - ves
              - rub
              - uah
              - kzt
              - krw
              - ils
              - idr
              - aed
              - gel
              - twd
              - try
              - hkd
              - inr
              - cad
              - amd
              - aud
              - pln
              - cop
              - brl
              - chf
              - mxn
              - ars
              - sgd
              - sar
              - mdl
              - ron
              - sek
              - azn
              - rsd
              - nok
              - myr
              - bgn
              - egp
              - gtq
              - clp
              - nzd
              - bdt
              - kgs
              - thb
              - uzs
              - uyu
              - vnd
              - ugx
              - kes
              - zar
              - etb
              - ngn
              - lkr
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsGetMetricsListResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetMetricsListResponse:
      type: object
      properties:
        items:
          title: The list of jetton metrics
          type: array
          items:
            $ref: '#/components/schemas/v1JettonMetrics'
        addressBook:
          title: Address book
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1AddressBookItem'
          description: Possible aliases for all raw addresses in response
        jettons:
          title: Short metadata about jettons used in response
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1ShortJettonMeta'
        next:
          title: Cursor to next page
          type: string
          description: If the field is empty or not exists there's no next page
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1JettonMetrics:
      type: object
      properties:
        address:
          title: Jetton address
          type: string
          description: 'Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`'
          example: 0:906697a57af1cdb1bc39214b7049ae02b3c92a5b0c342ac61e0eb8bd9304b5f1
        price:
          $ref: '#/components/schemas/v1DecimalValue'
        priceUsd:
          $ref: '#/components/schemas/v1DecimalValue'
        priceCurrency:
          $ref: '#/components/schemas/v1DecimalValue'
        holdersCount:
          title: Number of jetton holders
          type: string
          format: uint64
          example: '7351'
        liquidityUsd:
          $ref: '#/components/schemas/v1DecimalValue'
        liquidityCurrency:
          $ref: '#/components/schemas/v1DecimalValue'
        fdmc:
          $ref: '#/components/schemas/v1DecimalValue'
        fdmcCurrency:
          $ref: '#/components/schemas/v1DecimalValue'
        mcap:
          $ref: '#/components/schemas/v1DecimalValue'
        mcapCurrency:
          $ref: '#/components/schemas/v1DecimalValue'
        circulatingSupply:
          title: Circulating supply
          type: string
          description: >-
            The amount of a cryptocurrency that is currently available to the
            market.

            Basic token unit. To get the decimals value: circulatingSupply *
            pow(10, -decimals)
        trustScore:
          title: Trust score
          type: integer
          description: |-
            The percent of trust.
            Value in range [0, 100]
          format: int64
          example: 100
    v1AddressBookItem:
      type: object
      properties:
        userFriendly:
          title: Bounced address
          type: string
          description: Bounced user-friendly address
    v1ShortJettonMeta:
      type: object
      properties:
        address:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
          format: int64
        image:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    v1DecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
          example: '1000500000'
        decimals:
          type: integer
          format: int64
          example: 9
      description: 'To get the real value: `value * pow(10, -decimals)`'

````